Public Member Functions | List of all members
libebook::EBOOKOutputElement Class Referenceabstract

## Public Member Functions
| EBOOKOutputElement ()
virtual | ~EBOOKOutputElement ()
virtual void | write (librevenge::RVNGTextInterface *iface, const std::map< int, std::list< EBOOKOutputElement * > > *footers, const std::map< int, std::list< EBOOKOutputElement * > > *headers) const =0

## Constructor & Destructor Documentation

## ◆ EBOOKOutputElement()

libebook::EBOOKOutputElement::EBOOKOutputElement | ( |  | ) |
| inline

## ◆ ~EBOOKOutputElement()

virtual libebook::EBOOKOutputElement::~EBOOKOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ write()

virtual void libebook::EBOOKOutputElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const std::map< int, std::list< EBOOKOutputElement * > > * | footers,
|  | const std::map< int, std::list< EBOOKOutputElement * > > * | headers
| ) |  | const
| pure virtual

The documentation for this class was generated from the following file:

- EBOOKOutputElements.cpp